ニンテンドースイッチ AtmosphereでNSPファイルを起動させるためのパッチ導入方法

記事の方法を試す前や質問をするまえに必ず下記リンクを見てからにしてください!
このブログについて
https://yyoossk.blogspot.com/1970/11/blog-post_24.html


こちらではニンテンドースイッチのAtmospherでNSPファイルを起動させるためのパッチ導入方法を紹介します


それぞれのCFW導入記事にも書いてましたが、気がついていない人が多いからか、あまりに同じような質問が多かったので別記事にしました

Atmosphereはxci、nspには公式に対応しないと宣言していますので、nspの起動には別の人が作成したNSPを起動させるためのパッチ、es.patche(sigpatch又はsignature patch)が必要です

NSPのインストーラーは複数あり、次々新しいものが出てくるので下記リンクのブログアーカイブより探してください

携帯モードで外付けhddやフラッシュメモリ等からxci、xcz、nsp、nszのインストールについて
https://yyoossk.blogspot.com/2021/02/atmospherehddxcixcznspnsz.html

アップデート後にインストールしたゲームは起動できるが、アップデート前にインストールしたゲームが起動できない場合


バージョンに対応したパッチがリリースされているか確認すること!
対応していないものを入れても意味がありません!

自分でAtmosphere用のsigpatchを作成する方法

導入方法
・公式のAtmosphere用
atmosphereフォルダをsdカードのルートに上書き保存

・Hekate経由で起動するAtmosphere用
atmosphereとbootloaderフォルダをsdカードのルートに上書き保存

更新する場合は念のため古い
atmosphere/exefs_patches/es_patches
atmosphere/kip_patches/fs_patches
atmosphere/kip_patches/loader_patches
フォルダを削除してから新しいものを入れた方がよさそうです

配布リンク
数種類あります
更新頻度の高い順でリンクしてます

本体のみで直接インストール(Atmosphere&hekate経由のAtmosphere両方対応)
sigpatchが対応しないとこちらを導入しても無駄です
sigpatch-downloader
Sigpatches Updater
AIO-switch-updater

公式のAtmosphereとHekate経由で起動するAtmosphere用
https://github.com/ITotalJustice/patches/releases
https://github.com/borntohonk/SigPatches/releases

公式のAtmosphereのみ?
https://github.com/eXhumer/patches/releases

Hekate経由で起動するAtmosphere用
https://gbatemp.net/threads/sigpatches-for-atmosphere-hekate-fss0-fusee-secondary-only.571543/

公式のAtmosphereとHekate経由で起動するAtmosphere用が混在
https://gbatemp.net/threads/latest-fs-and-acid-patches-for-kosmos.562915/
トップページは更新が終了していますが、コメントに最新バージョン対応のものが投稿されるので自分で探してください

公式のAtmosphere専用
https://gbatemp.net/threads/sigpatches-for-atmosphere-fusee-primary-only.567542/
https://gbatemp.net/threads/atmosphere-patches-es-fs-and-loader-fusee_primary-only.562812/
https://gbatemp.net/threads/i-heard-that-you-guys-need-some-sweet-patches-for-atmosphere.521164/
最新バージョンが出たら少ししてそれに対応したものがでるので、この掲示板の書き込みか、トップの添付ファイルをチェックしてください
トップになくても最新のページにアップロードされる場合があります!

sigpatch対応状況とcfw対応状況

コメント

  1. こちらの記事などを参考にさせていただいてDeepseaでCFWを導入したのですが、ALL IN ONEのパッケージに入っていたアプリでXCIファイルをインストールしようとすると「Error code:0x00234C02」と出てインストールできません。
    パッチも最新のものに更新しているのですが、何が原因かわかりますでしょうか?

    返信削除
    返信
    1. 別のインストーラー試すという選択肢は思いつかなかったのです?
      もし同じエラーが出るならパッチかxci自体が問題です

      削除
  2. 初歩的なことで申し訳ないのですがご教示ください。Atmosphere0.19.0、fw11.0.1でsigpatchをあて、ゲーム本体はインストールできるようになったのですが、アップデータやDLCをインストール使用とするとInsutallNCA:110:Invalid NCA magicと表示されエラーとなります。この場合の対処方法としてsigpatchのアップデータやDLC版があるのでしょうか。何かコンテンツがあるのでしょうかお忙しいところすみませんがよろしくお願いいたします。

    返信削除
    返信
    1. ちょうどatmosphereの最新版が出たのでそれで試してみてはいかがでしょうか?
      ちなみにsigpatchのアップデータやDLC版はありません
      atmosphere自体の問題かどうかもよくわからないので自分からは何も言えないですねー

      削除
  3. 初めまして、こんにちは。
    質問なのですが、nspファイルの起動方法がわかりません。今までsxosを使用していたのですが、今後サポートされないようなのでatomosphereに移行しました。今まではxciファイルをsdカードのルートswitchに入れておくと、アルバムを開くとそこにソフトが表示されていました。今まで使用していたxciファイルをnspファイルに変換して同じようにsdカードのルートswitchに入れたのですが、自作ソフトは表示されるのですがnspファイルは表示されません。
    これはnspファイルを入れるフォルダが間違っているからでしょうか?
    お時間ある時に返答いただけると幸いです。よろしくお願いします。

    返信削除
    返信
    1. 連投やめてください
      この記事の冒頭のこのブログについてのリンク読んでないのがわかります
      https://yyoossk.blogspot.com/1970/11/blog-post_24.html
      次はipbanです
      そしてatmosphereの記事にnspについて記載してます
      https://yyoossk.blogspot.com/2021/04/hekateatmosphereatmosphere-with-hekate.html
      https://yyoossk.blogspot.com/2020/05/cfwatmospherehekatedeepseakosmos.html
      https://yyoossk.blogspot.com/2019/01/cfwatmosphere.html
      それも全く見てないのですね
      ここまで来て自分で調べる気もなくて完全に他力本願というのがよくわかります
      ここはあなたに雇われているわけでもない上、初心者ブログでもないです
      nspはインストーラーがあります
      それもブログ内で調べればわかることですが…
      ブログアーカイブから自分で探してください
      https://yyoossk.blogspot.com/1980/04/blog-post.html
      nspのパッチについて
      https://yyoossk.blogspot.com/2019/05/atmospherekosmosnsp.html
      次からはipbanするのでこれが最後だと思ってくださいね
      ここまでしたのはあなたが初めてです
      改造って人に教えてもらって何事もなく済むものではないのですよ
      また何かわからないことがあったら聞けばいいやと思ってません?
      自分で調べるという概念がないのか知りませんが、そんな状態でよく改造に手を出そうとしたものです
      何度も言いますがここ読んでから自分で考えることをしてください
      https://yyoossk.blogspot.com/1970/11/blog-post_24.html
      不満があるなら次回から見に来なくて結構です
      自分もあなたのように一から順に教えてといった輩を相手にするのに時間が惜しいので

      削除
  4. お世話になっております。
    報告させていただきます。
    未対策機にてver12.1でDeepseaを利用していました。
    本体バージョンアップがきて、それに合わせてDeepsea、atmosphere、sigpatch等も更新したのですがなぜかnspのインストールができなくなてしまいます
    インストール済みのnspも同じく壊れたデータ扱いされ起動不可に(当然ながらカセットは通常起動可能で、吸い出したnspが起動不可)
    sigpatchを入れなおして再度インストールすると今度はインストール自体も不可
    インストーラー各種試すも無意味でした。

    理由も原因もわからずお手上げでしたが、Deepsea関連を削除し、AtmoPack-Vanillaに入れ替えてみたら無事起動しインストールもほどなく完了しました。

    Deepseaは少し不安定なんですかね?
    https://re-doing.com/tinwoo-installer/の記事にも同じような症状の人がいてそちらはDeepsea関連を削除してからsigpatchを入れなおすと改善したとありました。

    長文失礼しました。
    よろしければ今後のご参考までに。

    返信削除
    返信
    1. deapseaはおかしいって言ってるひと多いっすねー

      削除

コメントを投稿